%define major  0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           parted
Version:        2.4
Release:        %mkrel 2
Summary:        Flexible partitioning tool
License:        GPLv3+
Group:          System/Configuration/Hardware
URL:            http://www.gnu.org/software/parted/
Source0:        http://ftp.gnu.org/gnu/parted/parted-%{version}.tar.xz
Requires(post): info-install
Requires(preun):info-install
BuildRequires:  device-mapper-devel
BuildRequires:  gettext-devel
BuildRequires:  libe2fsprogs-devel
BuildRequires:  libuuid-devel
BuildRequires:  libgpm-devel
BuildRequires:  libncurses-devel
BuildRequires:  libreadline-devel
BuildRequires:  libblkid-devel >= 2.18-2
BuildConflicts: check-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%package -n %{libname}
Summary:        Files required to compile software that uses libparted
Group:          Development/C
Requires:       e2fsprogs
Requires:       %{_lib}blkid1
Obsoletes:	%{mklibname -d parted 2.4 1} < %{version}-%{release}
Obsoletes:	%{mklibname -d parted 2.3 1} < %{version}
Obsoletes:	%{mklibname -d parted 1.8 8} < %{version}-%{release}
Obsoletes:	%{mklibname -d parted 1.8 7} < %{version}
Obsoletes:	%{mklibname -d parted 1.8 2} < %{version}
Obsoletes:      %{mklibname -d parted 1.8 1} < %{version}
Obsoletes:      %{mklibname %{name} 1.7} = %{version}

%package -n %{develname}
Summary:        Files required to compile software that uses libparted
Group:          Development/C
Requires:       e2fsprogs
Requires:       %{_lib}blkid1
Requires:       %{libname} = %{version}
Provides:       libparted-devel = %{version}
Provides:       libparted%{api}-devel = %{version}
Provides:       parted-devel = %{version}
Provides:       %{_lib}parted%{api}-devel = %{version}
Obsoletes:	%{mklibname -d parted 2.4 1} < %{version}-%{release}
Obsoletes:	%{mklibname -d parted 2.3 1} < %{version}
Obsoletes:	%{mklibname -d parted 1.8 8} < %{version}-%{release}
Obsoletes:	%{mklibname -d parted 1.8 7} < %{version}
Obsoletes:	%{mklibname -d parted 1.8 2} < %{version}
Obsoletes:      %{mklibname -d parted 1.8 1} < %{version}
Obsoletes:	%{mklibname -d parted 1.7 1} < %{version}

%description
GNU Parted is a program that allows you to create, destroy,
resize, move and copy hard disk partitions. This is useful for
creating space for new operating systems, reorganising disk
usage, and copying data to new hard disks.

%description -n %{libname}
This package includes the dynamic libraries

%description -n %{develname}
This package includes the header files and libraries needed to
link software with libparted.

%prep
%setup -q

%build
%configure2_5x	--enable-Werror \
		--enable-device-mapper \
		--with-readline \
		--with-pic
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%post
%_install_info %{name}

%preun
%_remove_install_info %{name}

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc README
%{_sbindir}/*
%{_mandir}/man*/*
%{_infodir}/parted.info*

%files -n %{libname}
%defattr(-,root,root,0755)
%doc TODO
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog doc/API
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
%{_libdir}/pkgconfig/libparted.pc


%changelog
* Fri Mar 16 2012 Neal <nealbrks0 at gmail dot com> 2.4.-2pclos2012
- process

* Sat Mar  3 2012 AS <as.pclos at gmail.com> 2.4.-2pclos2012
- 2.4-2 add support from blkid (sect size >= 4Kb)

* Tue Feb 21 2012 AS <as.pclos at gmail.com> 2.4.-1pclos2012
- 2.4

* Thu Sep 09 2010 Texstar <texstar at gmail.com> 2.3-1pclos2010
- 2.3

* Sun Apr 04 2010 Johnny Black <johnnyblack at inbox.com> 2.2-1pclos2010
- 2.2
- trim specfile

